## GladeSignalDef GladeSignalDef |

## Functions

GladeSignalDef * | glade_signal_def_new ()
GladeSignalDef * | glade_signal_def_clone ()
void | glade_signal_def_free ()
void | glade_signal_def_update_from_node ()
GladeWidgetAdaptor * | glade_signal_def_get_adaptor ()
GSignalFlags | glade_signal_def_get_flags ()
const gchar * | glade_signal_def_get_name ()
const gchar * | glade_signal_def_get_object_type_name ()
void | glade_signal_def_set_deprecated ()
gboolean | glade_signal_def_deprecated ()
void | glade_signal_def_set_since ()
guint16 | glade_signal_def_since_major ()
guint16 | glade_signal_def_since_minor ()

## Types and Values

| GladeSignalDef

## Description

## Functions

### glade_signal_def_new ()

    GladeSignalDef *
    glade_signal_def_new (GladeWidgetAdaptor *adaptor,
                          GType for_type,
                          guint signal_id);

Creates a new GladeSignalDef

#### Parameters

adaptor | a GladeWidgetAdaptor |
for_type | a GType |
signal_id | the signal id |

#### Returns

a new GladeSignalDef.

[transfer full]

### glade_signal_def_clone ()

    GladeSignalDef *
    glade_signal_def_clone (GladeSignalDef *signal_def);

Clones a GladeSignalDef

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

a new copy of `signal_def` .

[transfer full]

### glade_signal_def_free ()

    void
    glade_signal_def_free (GladeSignalDef *signal_def);

Frees a GladeSignalDef

#### Parameters

signal_def | a GladeSignalDef |

### glade_signal_def_update_from_node ()

    void
    glade_signal_def_update_from_node (GladeSignalDef *signal_def,
                                       GladeXmlNode *node,
                                       const gchar *domain);

### glade_signal_def_get_adaptor ()

    GladeWidgetAdaptor *
    glade_signal_def_get_adaptor (const GladeSignalDef *signal_def);

Get GladeWidgetAdaptor associated with the signal.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

a GladeWidgetAdaptor.

[transfer none]

### glade_signal_def_get_flags ()

    GSignalFlags
    glade_signal_def_get_flags (const GladeSignalDef *signal_def);

Get the combination of GSignalFlags specifying detail of when the default handler is to be invoked.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

the GSignalFlags

### glade_signal_def_get_name ()

    const gchar *
    glade_signal_def_get_name (const GladeSignalDef *signal_def);

Get the name of the signal.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

the name of the signal

### glade_signal_def_get_object_type_name ()

    const gchar *
    glade_signal_def_get_object_type_name (const GladeSignalDef *signal_def);

Get the name of the object class that this signal belongs to.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

the type name of the signal

### glade_signal_def_set_deprecated ()

    void
    glade_signal_def_set_deprecated (GladeSignalDef *signal_def,
                                     gboolean deprecated);

Set if the signal is deprecated.

#### Parameters

signal_def | a GladeSignalDef |
deprecated | `TRUE` if the signal is deprecated |

### glade_signal_def_deprecated ()

    gboolean
    glade_signal_def_deprecated (GladeSignalDef *signal_def);

Get if the signal is flagged as deprecated.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

`TRUE` if the signal is deprecated

### glade_signal_def_set_since ()

    void
    glade_signal_def_set_since (GladeSignalDef *signal_def,
                                guint16 since_major,
                                guint16 since_minor);

Set the major and minor version that introduced this signal.

#### Parameters

signal_def | a GladeSignalDef |
since_major | the major version. |
since_minor | the minor version. |

### glade_signal_def_since_major ()

    guint16
    glade_signal_def_since_major (GladeSignalDef *signal_def);

Get the major version that introduced this signal.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

the major version

### glade_signal_def_since_minor ()

    guint16
    glade_signal_def_since_minor (GladeSignalDef *signal_def);

Get the minor version that introduced this signal.

#### Parameters

signal_def | a GladeSignalDef |

#### Returns

the minor version

## Types and Values

### GladeSignalDef

    typedef struct _GladeSignalDef GladeSignalDef;